Welcome to use VIA StorX

By using VIA StorX, you can access to different RAID functions efficiently.

RAID is the abbreviation for "Redundant Arrays of Inexpensive Disks". There are various RAID disk array types such as RAID 0 (Striping), RAID 1(Mirroring), RAID 0+1(Striping and Mirroring), RAID 5 (Striping with parity) ... etc. Compared with single disk, some types of RAID array can enhance fault-tolerant ability (like RAID 1), some types of RAID can raise disk I/O speed (like RAID 0) and some of them can achieve both (like RAID 0+1). VIA StorX implements main RAID functions in conjunction with the hardware, hence it's very easy for you to achieve RAID functions using VIA StorX.

New features:

1, Concept of virtual disk:

VIA StorX introduces a new concept of virtual disk, a part of space on a disk, which can construct a RAID array with another virtual disk. In other words, RAID array is constructed on virtual disks but not physical disks.

2, C/S mode:

VIA StorX runs in C/S mode. That is, the tool has to communicate with server, and server can run some tasks (synchronization etc. background) even the tool is exited.

In addition, VIA StorX is compatible with VIA V-RAID configuration that means it can recognize the array configured by V-RAID and support the basic functions of it.


Getting Started

VIA StorX is currently implemented with five main RAID types: RAID 0 (striping), RAID 1 (mirroring), RAID 0+1 (striping & mirroring), RAID 5 (striping), and Span (just a bunch of disks).

You can configure RAID functions by this VIA StorX RAID utility (VSTXGUI.exe).

VIA StorX RAID utility (VSTXGUI.exe) runs in C/S mode, which means it has to communicate with VIA StorX server (VSTXSERV.exe).

To use it, you have to run the server program (VSTXSERV.exe), then run the VSTXGUI.exe program, double click the program icon [image] on desktop task bar [image] to show the program window, and then do the corresponding configuration works. (The icon [image] will be flickering between green [image] and blue which indicates the RAID configuration on server is normal; and be flickering between red [image] and blue which indicates there is abnormal status on server, e.g. there is a broken array, there is a synchronizing task etc.)

Note:

VSTXSERV.exe will be installed as a system service if you install VIA StorX RAID Utility by Setup Package.

The Application Window

Functions Overview


Application Window

The Application Window

You can execute this application by double clicking the shortcut of this application. Then it will prompt you the login window.

Notes:

1. "Port" has no usage temporarily.

After you fill in the correct account name and password, you will login the server successfully and get the operating GUI as below. Then you can configure RAID with the hard disks.

There are three blocks in the main window:

1st block is on the top-left corner, presenting a current system tree of disk arrays and disks not in any array. It also shows a tree that displays RAID controllers, channels and the physical locations of all disks. You can shift these two trees in this block by click the buttons named “Array Tree” ( [image] ) and “HDD Controller Tree” ( [image] ). These two trees are Array View/Tree (view by devices) and HDD Controller View/Tree (view by controller) respectively. The application window above is an example of the Array View/Tree, and the window beneath is an example of the HDD Controller View/Tree.

HDD Controller Tree:

The 2nd block, named as “Information”, is at the bottom which displays the details of the controller or disk drives selected in the 1st block.

The 3rd block, named as “Server”, is on the top-right corner which displays all servers searched by “Scan Server” from Login window.

Show/Hide application's main window:

To hide the main window, you can click the “Close Window” ( [image]) button on the upper-high corner of the main window. If the utility is hidden, it will run as a small icon in the taskbar at the bottom-right corner. To display it, you can right click application’s task bar icon ( [image] ) and select “Open Program” in the pop-up menu.

To minimize the main window, you can click the “Minimize” ( [image]) button on the upper-high corner of the main window.

To open the help manual, you can click the "Help"( [image] ) button on the upper-high corner of the main window.

To get the version information of VSTXGUI.exe, you can click the "About"( [image]) button on the upper-high corner of the main window.

To exit VIA StorX RAID utility, you can right click application’s task bar icon ( [image] ) and select the “Exit Program” in the pop-up menu.

Main functions:

Using VIA StorX, you can create various types of RAID disk arrays, remove disk arrays, add/remove spare...etc. Further details for these features are presented in the following “Functions Overview”.


RAID Type Supported

RAID Type supported by VIA controllers

Ø Relationship between RAID controller and RAID type

 | RAID 0 (Striping) | RAID 1 (Mirroring) | RAID SPAN (JBOD) | RAID 5 (Striping) | RAID 0+1 (Striping + Mirroring)
VT8261 | √ | √ | √ | √ | √
VX900* | √ | √ | √ | √ (PMP is needed) | √


Disk Requirement by RAID Type

Ø Relationship between RAID type and number of disks:

RAID Type | Disk Number (Needed at least)
RAID0 (Striping) | 2
RAID1 (Mirroring) | 2
RAID SPAN (JBOD) | 1
RAID5 (Striping) | 3
RAID 0+1 (Striping + Mirroring) | 2

RAID SPAN (JBOD) supports multiple VDs, which means it can accumulate multiple free spaces in different locations into an array.


Functions Overview

RAID Configuration: ( [image])

· Create Array:

Function of Create Array in StorX supports the creation of RAID0, RAID1, SPAN (JBOD), RAID5, RAID0+1.

  • Add/Remove Spare:

You can add a spare disk into a RAID1 array with 2 member VDs. And you can remove the spare disk from the RAID1 array with 3 member VDs.

· Remove Array:

Using this function, you can remove array(s) from the system.

· HotSpare:

You can backup the data on a warning physical disk which is unstable to a normal disk.

Check Status: ( [image])

  • Check HDD:

At any time, you can check if all hard disks work normally by executing the Check HDD command.

“Check” of “Check HDD” will send command to verify the status of hard disks. If there is any abnormal status, it will update all disks' current status and display them in the List.

“Advanced” of “Check HDD” will get the details of S.M.A.R.T data from the hard disks that support this command.

Performance Settings: ( [image])

  • Checking Frequency:

“Checking Frequency” allows you to set a timer to check disks’ status when this application is running.

  • Popup Window:

“Popup Window” sets the message informing mode that if popup a window to inform you the events happened.

Event Log :( [image])

  • View Event Log:

VIA StorX records important events into a log file, such as Disk Array Creation/ Removal, Disk Failure, Synchronization etc which is recorded by server.

Remote Control :( [image])

  • Login/ Logoff:

You can login other service dynamically.

  • User Management:

You can change the password of “admin” here.

HDDs View:

“HDDs View” provides an interface to show the layout of all existing arrays and the current using status of each physical disk.

Refresh:

Once the data gotten from server is NOT synchronized, “Refresh” allows you to get the latest data.

Repair Broken Array:

“Repair Broken Array” helps users repairing a broken array which is in broken state.

Synchronize Mirror Disks:

RAID 1 arrays must be synchronized when the data on the mirror disk is not identical with its corresponding source disk. Sometimes the data on the mirror disk may be newer than the data on the source disk. For example, the source disk is absent and the mirror disk runs in the tolerance mode. So the exact meaning of “Synchronize” is to make a pair of source and mirror disks have identical data. The RAID software always marks the mirror disk with a “need-sync” icon (RAID1, RAID01) although the mirror disk may have the correct data.

Migration/Rebuild:

Migration occurs when you create an array with “Keep Data”. It will move the data from source physical hard-disk to the members of the array created. Pay attention: although “Keep Data” is optional, it is forced to be chosen if the source physical hard-disk (1st hard-disk) is current OS.

View Online Help:

You can open this VIA StorX help file by clicking VIA StorX Help ( [image] ) in the Operation block. You can also press F1 to open this file.

For more details, please refer to VIA StorX Help.


Using StorX RAID Utility

Using StorX RAID Utility

Create Array

Add/Remove Spare Disk

Remove Disk Array

HotSpare

Check HDD

Checking Frequency

Pop-up Window

View Event Log

Login/ Logoff

User Management

HDDs View

Refresh

Repair Broken Array

Synchronize Mirror Disk s

Migration/ Rebuild

VIA StorX Help

Array and Device Status

Troubleshooting

Glossary of Device/Array Features


Create Array

Create Array in StorX supports the createion of RAID 0, RAID 1, SPAN (JBOD), RAID 5, and RAID 0+1. To launch this function, you may click “RAID Configuration” ( [image]) then choose “Create Array” ( [image]).

Notes:

1. Does NOT support array with V-RAID configuration.

2. The minimum array size is limited to 1 Giga bytes.

3. Disk used to create array must have a free space equal or larger than 1 Giga bytes.

Step1:

Utility will list all controllers in the system and display the RAID types supported currently. After you selected “Controller” and “RAID Type”, utility will list all HDD(s) available that can be used to create an array.

Then you may choose “Keep Source Data”. If it’s checked, the data on the 1st HDD will be kept, but the data one other HDD(s) will be destroyed; or else, all data will be destroyed.

Attention:

To do “Keep Source Data”, the array size that will be gotten in future, basing on the disks in “Selected Disks” list, must equal to or larger than the capacity of the 1st HDD.

Step2:

Parameters of Array Size and Array Name are mandatory. In addition, the usage status of HDD selected will be shown here.

Step3:

Notify the result of Create Array.


Add/Remove Spare Disk

You can add a spare disk into a RAID1 array with 2 member disks or VDs. And you can remove the spare disk from the RAID1 array with 3 member disks or VDs.

You may click “RAID Configuration” ( [image]) then choose “Add/Remove Spare” ( [image]) to launch this function.

Note: Does NOT support array with V-RAID configuration.

Step1:

Utility will list all RAID1 array existing in system for users to select. If the one selected has Spare, the following step will execute “Remove Spare”; otherwise, the 2nd step will be “Add Spare”.

Step2: (Add Spare)

Select the HDD as the spare disk.

Step2: (Remove Spare)

Notify the result of “Remove Spare”.

Step3: (Add Spare)

Notify the result of “Add Spare”.

l Right click function of RAID1

In addition, you can also shift the top-left block of main application window to Array View/Tree, select the upper-most level tree node of the RAID 1 array and right click the array node and click Add/Remove Spare on the popup menu.

Step1: (Add Spare)

Select the HDD as the spare disk.

Step2: (Add Spare)

Notify the result of “Add Spare”.

To remove a Spare disk, you can also right click the Spare disk in Array View, and then click Add/Remove Spare on the shortcut menu, as following picture shows:

Step1: (Remove Spare)

When you right click on a RAID1 array, and choose “Add/Remove Spare” in the popup menu, the Spare disk will be removed if you select “Add/Remove Spare” menu.


Remove Disk Array

You may click “RAID Configuration” ( [image]) then choose “Remove Array” ( [image]) to launch this function. Using this function, you may remove array(s) from the system.

Note: Supports array with V-RAID configuration.

Step1：

In this step, utility will list all existing arrays in system for you to remove. Multi-selection is supported, which means you can select more than one array to be removed.

Step2:

Notify the result of “Remove Array”.

In addition, you can also remove an array one by one by right clicking array in Array Tree and select “Remove Array” item in the popup menu, refer to the following:

Notes:

1. Removing RAID1 will generate a SPAN (JBOD) arrays.

2. The array on containing current running OS can not be removed; “Remove Array” menu won’t popup if right clicking it, and it won’t be listed in the list of “Remove Array” function.

3. The array with “In HotSpare” status can’t be removed; “Remove Array” menu won’t popup if right clicking it and it won’t be listed in the list of “Remove Array” function. (If you want to remove it, please finish the replacement or do “Remove HotSpare” at first.)


HotSpare

You may click “RAID Configuration” ( [image]) then choose “HotSpare” ( [image]) to launch this function. Users may backup the data on a warning physical disk which is unstable to a normal disk.

The function is tending to provide you an opportunity to backup the data on physical hard disk involved in RAID array(s), if the hard disks’ status is reported as “Warning”. For standalone physical hard disk, which is NOT in any RAID array, you may backup a hard disk by copying the data manually.

Notes:

1. Does NOT support array with V-RAID configuration.

2. For “Warning HDD”, it must have warning status and one VD at least.

3. For “Normal HDD”, its status must be “Normal” and its capacity must equal to or be larger than the capacity of the “Warning HDD” selected in “Step1”.

Step1:

In this step, utility will list all warning physical hard disk(s) with at least one VD to be selected as the source HDD.

Step2:

In this step, utility will list all normal physical hard disk(s) to be selected as the target HDD.

Attention:

Once a HDD is selected as the target HDD to do HotSpare, all data on it will be destroyed.

Step3:

Notify the result of “Replacement”.

Step4:

When the HotSpare relationship is built successfully, you may start to do data replacement to copy the data from source to target.

“Hide” button will close the current monitoring window that displays the process status; it won’t stop the replacement running on the server. Once you close the window by click this button, the replacement will run as a background task on server. And you may re-open the monitoring window by choose the right click menu mentioned above.

Notes:

1. In the case that Replacement unfinished, the source and target hard disks can’t be used to do other operations. To use it further, please finish the replacement or remove the HotSpare relationship at first.

2. The array with “In HotSpare” status can’t be removed, unless its replacement is finished or the “HotSpare” relationship is removed.

3. Once the “HotSpare” starts to do data Replacement, it can NOT be stopped unless it is finished or the relationship is broken.


Check HDD

At any time, you can check if all hard disks work normally by executing the Check HDD command.

“Check HDD” will display the device (NOT including ATAPI devices) status in the list. Once you click the “Check” button, it will send the S.M.A.R.T return status command, then update and display latest device data if any degrading event is found.

You may click “Check Status” ( [image]) then choose “Check HDD” ( [image] -> [image]) to launch this function.

In addition, it provides ‘Advanced’ ( [image]) function, which gets and displays the detail S.M.A.R.T data of you hard disks by clicking the "Advanced" button. (Since the S.M.A.R.T is defined by hard disks’ vendors, to know its definite meaning, please refer to the hard disk’s specification).

The data will be recorded in a file, and you can get the data including the history data by clicking "History" button.

Also, you can read the current data by clicking "Advanced" button. You can check if all hard disks work normally by executing the Check Disk command at any time.

Note: If one disk is reported as “Warning” or “Error”, it is NOT permitted to be used in RAID configuration; moreover, it is strongly recommended to do HotSpare to replace it if one disk is warning to avoid the risk of data loss.


Checking Frequency

Server can check the hard disks’ status itself instead of check it manually. Once there is something wrong with any hard disk, server will report this event to client, then client will get and update all data from server.

At any time, you can set the check frequency of server.

“Checking Frequency” will display the current frequency set by others or the default setting. Once you change the data, “Save Settings” will record it in the server side.

You may click “Performance Settings” ( [image]) then choose “Checking Frequency” ( [image]) to launch this function.


Pop-up Window

Each client can set the “Pop-up Window” mode for itself. If you do NOT want many pop-up informing messages at top level, which will interrupt your current working desktop windows, you can un-check it.

At any time, you can set the “Pop-up Window” of client.

“Pop-up Window” will display the current setting. Once you change the data, “Save Settings” will record it in the server side.

You may click “Performance Settings” ( [image]) then choose “Pop-up Window” ( [image]) to launch this function.


View Event Log

VIA StorX records important events into a log file, such as Disk Array Creation/ Removal, Disk Failure, Synchronization...etc.

You may click “Event Log” ( [image]) then choose “View Event Log ( [image]) to launch this function.

There are three types of log items: Information ( [image]), Warning ( [image]), Error ( [image]). To view details of any log item, you can select one item; its details will be displayed in the bottom area on this page.

Operations supported:

l Refresh: Update and get the current logs and display the latest items in the list.

l Home: Display log from the beginning page.

l Up: Display the former page.

l Down: Display the later page.

l End: Display the latest page.

Note: Only the operations in the RAID software can be recorded into the log file. The operations in BIOS will not be recorded.


Login/ Logoff

VIA StorX runs in C/S mode. That is, the tool has to communicate with server, and server can run some tasks (synchronization etc. background) even the tool is exited.

When you run “StorX RAID utility”, it will ask you to fill in the server address, user name and password to login server.

The IP address of "127.0.0.1" means the local system. It's the default setting. If the client exists on the same system with server, you can access it with this IP address.

If the client has to access the server on a different system, you can fill in the server's IP address in “IP Address”, or search for the existing server by clicking “Scan Server”.

Once you click “Cancel” button, the “StorX RAID utility” will continue to run but in “Logoff” state.

To login another server dynamically after you logged into one server, you can double click the server list.

After confirming to logoff current server, you can login other server.

Note: If there is one account logged in, another login will kick it off.


User Management

StorX server and utility only support one account that is “admin”, which cannot be changed.

User Management provides the function to change the password of account. New password shouldn’t be NULL.


HDDs View

“HDDs View” provides an interface to show the layout of all existing arrays and the current using status of each HDD.

The members in the same array will be shown with same color, and basic information of existing arrays will be shown also. Moreover, you can get the basic information of each array member and physical hard-disk from tooltip by moving your mouse over the corresponding position, refer to figures below.

“Refresh” button allow you to synchronize itself to the latest data if configuration is changed during this function is launched.


Refresh

At any time, you can update the latest data from server by “Refresh”.

“Refresh” will clean all data gotten before and get the latest from server. If something changed during a process of updating data, it is possible that the data displayed is inconsistent with latest data in server; in this case, you can force to update it again by “Refresh”.

You can click “Refresh” ( [image]) to launch this function.


Repair Broken Array

“Repair Broken Array” helps users repairing a broken array which is in broken state.

Notes:

1. Not all RAID type can be repaired when it’s destroyed. The RAID types that can be repaired are RAID1/5/01. And each of them has limitation with broken status, i.e. RAID 5 missing 2 or more members can’t be repaired, etc.

2. Does NOT support array with V-RAID configuration.

You may repair it by right-clicking in device-tree and choosing “Repair Broken Array” item in the popup menu. If the broken array is dead, which cannot be repaired, it cannot popup “Repair Broken Array” menu.

Step1:

Utility will show the information to guide you repairing the corresponding broken one.

Step2:

Utility will enumerate all hard-disks that are valid to repair current broken array, and you have to select new hard-disk(s) to repair it. Here will show the information and using status of the disk you select. When you are sure that you want to use disk to do repair, please click “Next”. Then the disk you select will be used to repair the broken array.

Step3:

Notify the result of “Repair Broken Array”.

Notes:

1. RAID 1 with “Spare” needn’t new HDD to do repair. When you repair a broken RAID1 with Spare, the “Spare” will be used to repair it.


Synchronize Mirror Disks

RAID 1 arrays must be synchronized when the data on the mirror disk is not identical with its corresponding source disk. Sometimes the data on the source disk is newer than the data on the mirror disk while sometimes it's newer on the mirror disk. For example, the source disk is absent and the mirror disk runs in the tolerance mode. So the exact meaning of “Synchronize” is to make a pair of source and mirror disks have identical data. The RAID software will mark the disk with older data with a “need-sync” icon ( [image]). Besides, it will mark the root node with another “need-sync” icon (RAID1 [image], RAID01 [image]).

Note: Does NOT support array with V-RAID configuration.

To synchronize a mirror disk with corresponding source disk, you can right click the root node of a RAID1 or RAID0+1 array, and then execute Synchronize from the shortcut menu, as following pictures show:

After synchronization has started, a dialog will appear to show the information about the current source-mirror disk pair being synchronized, and the progress of current synchronization operation:

“Hide” button will close the current monitoring window that displays the process status; it won’t stop the synchronization running on the server. Once you close the window by click this button, the synchronization will run as a background task on server. And you may re-open the monitoring window by choose the right click menu mentioned above.

“Stop” button will stop the current synchronization running on the server. Once you stop the synchronization, you may re-start it by choose the right click menu mentioned above. Or the synchronization will be started by server automatically if you logoff.


Migration/Rebuild

Migration occurs when you create an array with “Keep Data”. It will move the data from source physical hard disk to the members of the array created.

Attention: Although “Keep Source Data” is optional, it is forced for be chosen if the source physical hard-disk (1st hard-disk) is current OS.

Note: Does NOT support array with V-RAID configuration.

Migration is supported by RAID0/5/01.

“Hide” button will close the current monitoring window that displays the process status; it won’t stop the migration running on the server. Once you close the window by click this button, the migration will run as a background task on server. And you may re-open the monitoring window by choose the right click menu mentioned above.

“Stop” button will stop the current migration running on the server. Once you stop the migration, you may re-start it by choose the right click menu mentioned above. Or the migration will be started by server automatically if you logoff.

Attention: To access the extra disk capacity after migration completes, you have to reboot OS.

Once you choose “Yes” to reboot server, you have to fill in the account name and password of the server’s OS, and then click “OK”.

Attentions:

To reboot server machine after migration remotely, user must input the username and password under such rules:

a) The username and password must have administrator permission in server machine

b) The username and password must have “Log on as a batch job” permission in server machine.

c) You can assign this permission to the username like this: Open Server machine ->start->Control Panel->Administrative Tools->Security Settings->Local Policies->User Rights Assignment->Log on as a batch job->Add User or Group, and then add the username to this list.

Rebuild occurs when you repair a broken array successfully. For RAID1/01, rebuild does synchronization; RAID5’s rebuild does its synchronization different with RAID1/01, and all steps are same.


VIA StorX Help

You can open this VIA StorX help file by clicking “Help” ( [image]) in the Operation block. You can also press F1 to open this file.


Array and Device Status

Disk array and device (mean disk here) may have different statuses, such as warning, error, need to synchronize, need to migrate...etc. VIA StorX RAID Utility uses various icons to imply these different statuses. Detail status information is displayed in bottom pane of the application window when a disk array or disk is selected in left pane; following is an example (a disk array with “Need to synchronize” status):

Following table lists all possible array and device icons, as well as the status these icons represent:

Normal disk array

Disk array with warning status

Broken disk array

Normal array disk

Absent array disk

Array disk with warning status

The pair of Source and Mirror disks should be synchronized ( note: data on the Mirror disk maybe newer, although only a Mirror disk may have this look )

Array disk which need system reboot to enable its function


Troubleshooting

During using StorX RAID utility, you may meet some error messages reported and don’t know how to fix it. Table below lists important messages, explains their meaning and how to fix it.

 | Error Messages | Meaning and Handling
 | Unknown user! | Only support “admin” as user name.
 | Invalid user name or password. | User name and password do match. Please check your filling. If you can’t remember your password, you may top the “StorX Remote Server” and delete the stx.config file in server running location, then restart it. In this case, the configure file will be regenerated as its default settings.
 | Array information is changed! | The RAID configuration data store on physical hard disk is changed, and the data submitted is too old to configure array(s). Please refresh manually at first and try it later.
 | Start a task failed! | The array or task’s status is un-synchronized. Please refresh data manually by clicking the “Refresh” button.
 | Stop a task failed! | The array or task’s status is un-synchronized. Please refresh data manually by clicking the “Refresh” button at first and try it later.
 | The task already exists! | The task is running already. Please refresh data manually by clicking the “Refresh” button.
 | The task does not exist! | The task is not started. Please refresh data manually by clicking the “Refresh” button.
 | The task is completed! | The task is completed. Please refresh data manually by clicking the “Refresh” button.
 | The task is broken! | The physical hard disk is plugged out unexpectedly or StorX UILib met error. Please check the hard disk connection status at first. If the disk connection is OK, please report this issue to the utility provider.
 | Only one task could be running on the HDD! | The number of task running on one hard disk is limited to ONE.
 | The running tasks exceed the maximum count supported by server! | The number of task running on server is limited to ONE.
 | Network error! | Can’t connect to server (Maybe service is stopped unexpectedly). Please check if the server is running and the service is running normally. If the service is stopped, please restart it or reboot the server. If it doesn’t work, please report this issue to the utility provider.
 | Wait for server response timeout! | Server is too busy to response this connection request. Please try it later.
 | Connection is refused by server! | The number of connection exceeds the upper limitation of server. Please try it later.
 | Login request is denied by server! | The number of account login exceeds the upper limitation of server. Please try it later.
 | Invalid parameters to client lib! | Client error. Please report this issue to the utility provider.
RAID Lib has not been initialized. Before using the functions, please call vr_init() to initialize the lib first. |  | Please report this issue to the utility provider.
Fail to initialize RAID Lib. |  | Please report this issue to the utility provider.
RAID Lib has already been initialized. |  | Please report this issue to the utility provider.
RAIDUI Lib cannot initialize the RAID driver in your system. Please check whether STORX driver has been installed. |  | Please check if the StorX RAID driver has been installed. If it is installed, please report this issue to the utility provider.
RAID Lib is busy. |  | RAID Lib is handling something. You should wait for a while and try again later.
Driver command failed. |  | Please report this issue to the utility provider.
Invalid index of device or disk array. |  | Please refresh manually and try again later. If it still happens, report this issue to the utility provider.
Invalid parameters to call the RAID lib functions. |  | Please refresh manually and try again later. If it still happens, report this issue to the utility provider.
The called function can not support the specified RAID. |  | The specified RAID type is not supported by current operation. Please check supported RAID type in HELP file.
The specified disk array is broken, can not be used in this function. |  | Broken array is not supported in this function. Please check the disk array.
The specified device does not exist. |  | The device may be plugged out or the StorX Uilib may encounter error. Please refresh manually and try again later.
The specified device has error. |  | The device has error or StorX Uilib may encounter error. Please refresh manually and try again later.
The devices you offered are not enough. |  | Please select more hard disks.
VD members of the hard disk exceed the upper limitation. |  | The selected VD exceeds upper limitation of VD members on a HDD. Please view HELP file to check maximum VD count on a HDD. Please use another hard disk and try again later.
The size of specified device is not enough. |  | Please select more hard disks or disks with larger free space.
Invalid parameters to call the RAID lib functions. |  | Please report this issue to the utility provider.
Array size is invalid! |  | Array size should be a valid number between maximum size and minimum size. Please check it and try again.
HDD number is invalid! |  | The disk number can't meet the requirement based on current selections. Please reselect disks and try again.
Disk number exceeds the maximum limitation! |  | You have selected too more disks. Please reselect disks and try again.
Disk number is not enough! |  | The disks you selected are not enough to do further configuration. Please reselect more disks and try again.
HDD is busy. |  | Disk is synchronizing, migrating or replacing. You cannot do other operations on it before the completion of synchronizing, migrating or replacing. Please use other disks and try again later.
The configuration data of selected device(s)/array(s) have been changed. Please try it later! |  | The data stored is too old to do further configuration. Please refresh data manually and try it later.
At least one array failed to be removed! |  | Please report this issue to the utility provider.
The disk contains current OS. It must be kept source. |  | The disk contains current OS. It cannot be used to be a spare disk or to repair a broken array. If it's used to create array, it must be kept source. Please check the condition.
The Array contains current OS. It cannot be removed, otherwise OS would be crashed. |  | Array with current OS cannot be removed.
Failed to synchronize mirror disk pair. |  | The physical hard disk is plugged out unexpectedly or StorX UILib met error. Please check the hard disk connection status at first. If the disk connection is OK, please report this issue to the utility provider.
HDD replacement failed.
Failed to synchronize mirror disk pair.
Synchronization is finished. |  | Please refresh manually.
Cannot repair the specified broken disk array. |  | This broken disk array is not repairable.
The specified disk array does not need to repair. |  | This disk array is not broken and does not need to repair. The information you looked might be old, please refresh manually.
The specified disk array does not need migration. |  | This disk array does not need migration. The information you looked might be old, please refresh manually.
Migration of disk array failed. |  | The physical hard disk is plugged out unexpectedly or StorX UILib encounters error. Please check the hard disk connection status at first. If the disk connection is OK, please report this issue to the utility provider
Migration is finished. |  | Please refresh manually.
There is another HDD replacement operation in your system. |  | No new disk replacement operation can be started successfully if there is another disk replacement operation already in your system.
HDD member absent. PD replacement failed. |  | Source disk or target disk in disk replacement operation is absent. Please refresh manually and check the hard disk connection status at first. If the disk connection is OK, please report this issue to the utility provider.
HDD replacement failed. |  | The physical hard disk is plugged out unexpectedly or StorX UILib encounters error. Please check the hard disk connection status at first. If the disk connection is OK, please report this issue to the utility provider.
HDD replacement is finished. |  | Please refresh manually.
System need reboot before finish this operation. |  | Please reboot machine before do any operation.
Unexpected error! |  | Unexpected error occurred in UILib, please close utility and restart it later, if error message pop again, please reboot machine or report this issue to the utility provider.
Hardware information changed! |  | Utility detected hardware configuration was changed, please break current operation, refresh manually and wait for a while
HDD status is degrading. There might be risk of data loss. |  | To avoid data loss, you can do "HotSpare", using a normal disk to replace this disk.
S.M.A.R.T command cannot be used on any ATAPI device. |  | ATAPI device DO NOT support S.M.A.R.T feature
S.M.A.R.T function failed! |  | Please confirm that VIA StorX configuration server is running, and all required HDD was attached to controller well. Refresh manually and try again later. Please confirm whether HDD supports S.M.A.R.T. mechanism. If error message pop again, please report this issue to the utility provider.
Hotplug checking operation failed! |  | Utility can not get hot plug information, Please confirm that VIA StorX configuration server is running, and StorX RAID driver works well. If error message pop again, please report this issue to the utility provider.
Get partition information failed! |  | Utility can not get partition information in system, maybe system is busy now, please refresh manually and try again later, or close utility and restart it later.
Reload driver failed! |  | Some operation need reload StorX RAID driver, but unload driver or load driver is failed, please reboot machine to complete this operation
Unknown RAID Lib configuration command. |  | HDD configuration is crash, please confirm that all required HDD was attached to controller well. Refresh manually and try again later. If error message pop again, please delete relevant RAID array after double checking whether data is unused.


Glossary of Device/Array Features

In StorX RAID utility, there are some storage terminologies in the information list which you may not understand their meanings. Here, some terminologies are listed along with their explanations.

PD(HDD)

PD is short for physical disk. It has the same meaning with HDD.

VD

VD is short for Virtual Disk. It’s a new concept in StorX.

VD is a part of space on a disk, which can construct a RAID array with another virtual disk. In other words, RAID array is constructed on virtual disks but not physical disks.

Array Format

Array Format shows the format of the array. There are 3 types of format: StorX, V-RAID, Non-RAID(standalone disk).

Device Type

Device Status shows the type of the device. In other word, it just indicates the type of protocols, not the transfer speed.

There are 2 main types: SATA, ATAPI device (SATA DVD Drive). For SATA, it includes SATA Ⅰ& SATA Ⅱ.

Supported PIO Mode

Programmed input/output (PIO) is a method of transferring data between the CPU and a peripheral. It’s an old data transfer mode used by IDE drives.

In contrast with DMA(Direct Memory Access), PIO uses the CPU to execute I/O instructions for data transfer, which transfers directly between main memory and the peripheral device.

PIO mode is grouped into different modes that correspond to different transfer rates, which are PIO mode 0, mode 1, mode 2, mode 3, mode 4. And the corresponding rates to them are from 3.3MB/s to 16.6MB/s.

Supported Multiword DMA

DMA(Direct Memory Access) is a transfer mode which allows devices to transfer data without subjecting the CPU to a heavy overhead. It uses DMA controller to transfer information directly to or from memory, without the system processor being required to perform the transaction.

DMA mode is divided into two types: Singleword DMA and Multiword DMA, to which the corresponding transfer width is 8 bit and 16 bit.

This item only shows for ATAPI device.

Supported Ultra DMA

Ultra DMA is developed based on Multiword DMA. It adds CRC for error detecting.

Ultra DMA mode is grouped into different modes that correspond to different transfer rates, which are Ultra DMA mode 0, mode 1, mode 2, mode 3, mode 4, mode 5, mode 6. And the corresponding rates to them are from 16.7MB/s to 133MB/s.

This item only shows for ATAPI device.

Current Transfer Mode

There are 3 main transfer modes for most devices: PIO, Multiword DMA and Ultra DMA. Among all of them, Ultra DMA is the main transfer mode used in current devices.

For most current SATA HDD, current transfer mode would be Ultra DMA mode 6 or below, and for most ATAPI device, current transfer mode would be Ultra DMA mode 4 or below.

Current OS on Normal HDD

“The standalone HDD is current OS” indicates whether current running OS is on the selected standalone disk. If the selected HDD just contains an OS, which is not the OS you are operating in, the content corresponding to this feature should be “No”.

It has the same meaning for the “current OS” feature of array.

NCQ Capability

Native Command Queuing (NCQ) is a technology designed to increase performance of SATA hard disks under certain situations. When application sends multiple simultaneous read/write requests, NCQ allows the individual hard disk to internally optimize the order so as to reduce the amount of unnecessary drive head movement.

This item only shows for SATA HDD.